Media::Convert::Asset::Profile::mp4(3pm)

NAME
Media::Convert::Asset::Profile::mp4 - Create an H.264/AAC video

SYNOPSIS
  use Media::Convert::Asset;
  use Media::Convert::Asset::ProfileFactory
  use Media::Convert::Pipe;

  my $input = Media::Convert::Asset->new(url => $input_filename);
  my $profile = Media::Convert::Asset::ProfileFactory->create("mp4", $input);
  my $output = Media::Convert::Asset->new(url => "$output_basename." . $profile->exten, reference => $profile);
  Media::Convert::Pipe->new(inputs => [$input], output => $output)->run();

DESCRIPTION
The "mp4" profile re-encodes the input video into MPEG-4 H.264 with AAC audio.